LisaOveroImage

From PaparazziUAV
Revision as of 16:02, 11 August 2010 by Dconger (talk | contribs) (Building an Overo image for Lisa with Open Embedded)

Jump to: navigation, search

Building an Overo image for Lisa with Open Embedded

The goal is to use openmbedded to build an image for the overo with the bits needed for Lisa. Currently this includes

  1. libevent
  2. linux kernel 2.6.33.5-rt23 (maintained at git://gitorious.org/linux-omap3/linux-omap3.git)
    1. based on gumstix-oe from (git://www.sakoman.com/git/linux-omap-2.6.git)
    2. antoine's patch for spi device node on overo
    3. 2.6.33.5-rt23 preempt-rt patch
  • Make sure you have bitbake and build-essential installed:
apt-get install bitbake build-essential
  • Ubuntu 10 will also get errors during bitbake unless the following is installed
sudo apt-get install git-core help2man,diffstat,texi2html,texinfo,chrpath
  • Ubuntu 10 will also need to remove the link for /bin/sh that points to dash and instead point it to bash
sudo su -
cd /bin && rm -f sh && ln -s bash sh
  • Make an overo-oe directory in your home directory, cd into it:
mkdir ~/overo-oe
cd ~/overo-oe
  • Clone Allen's openmebedded tree:
git clone git://gitorious.org/linux-omap3/openembedded.git org.openembedded.dev

(If you want to take a look at the repository beforehand you can find it Here)

  • Copy build profile into ~/overo-oe, source it:
cp -r org.openembedded.dev/contrib/jei/build .
source ~/overo-oe/build/profile
  • Use bitbake to build the image:
bitbake omap3-lisa-image

On July 9 2010, on an up to date lucid lynx, the build is broken due to a bug in bug in gzip ( yeah.. they still have that... )

ERROR: ....expat_2.0.1.bb do_unpack failed

solution to this error:

http://www.facebook.com/note.php?note_id=398968379361

follow instructions of ERROR#1